﻿<ContentDialog
    x:Class="GitmojiFinder.Uwp.SettingsDialog"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:local="using:GitmojiFinder.Uwp"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    mc:Ignorable="d"
    Title="Settings"
    PrimaryButtonText="Close"
    Style="{StaticResource DefaultContentDialogStyle}">
    <StackPanel>
        <CheckBox IsChecked="{x:Bind Config.CloseWhenLoosingFocus, Mode=TwoWay}" Content="Close window when loosing focus"></CheckBox>
        <CheckBox IsChecked="{x:Bind Config.CloseOnCopy, Mode=TwoWay}" Content="Close window on copy"></CheckBox>
        <CheckBox IsChecked="{x:Bind Config.PressEscapeToClose, Mode=TwoWay}" Content="Press esc to close window"></CheckBox>
        <CheckBox IsChecked="{x:Bind Config.NotificationOnCopy, Mode=TwoWay}" Content="Notification on copy"></CheckBox>
    </StackPanel>
</ContentDialog>
